"use strict";
// Code generated - EDITING IS FUTILE. DO NOT EDIT.
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloudMonitoringQueryBuilder = void 0;
const tslib_1 = require("tslib");
const googlecloudmonitoring = tslib_1.__importStar(require("../googlecloudmonitoring"));
class CloudMonitoringQueryBuilder {
    constructor() {
        this.internal = googlecloudmonitoring.defaultCloudMonitoringQuery();
    }
    /**
     * Builds the object.
     */
    build() {
        return this.internal;
    }
    // A unique identifier for the query within the list of targets.
    // In server side expressions, the refId is used as a variable name to identify results.
    // By default, the UI will assign A->Z; however setting meaningful names may be useful.
    refId(refId) {
        this.internal.refId = refId;
        return this;
    }
    // If hide is set to true, Grafana will filter out the response(s) associated with this query before returning it to the panel.
    hide(hide) {
        this.internal.hide = hide;
        return this;
    }
    // Specify the query flavor
    // TODO make this required and give it a default
    queryType(queryType) {
        this.internal.queryType = queryType;
        return this;
    }
    // Aliases can be set to modify the legend labels. e.g. {{metric.label.xxx}}. See docs for more detail.
    aliasBy(aliasBy) {
        this.internal.aliasBy = aliasBy;
        return this;
    }
    // GCM query type.
    // queryType: #QueryType
    // Time Series List sub-query properties.
    timeSeriesList(timeSeriesList) {
        const timeSeriesListResource = timeSeriesList.build();
        this.internal.timeSeriesList = timeSeriesListResource;
        return this;
    }
    // Time Series sub-query properties.
    timeSeriesQuery(timeSeriesQuery) {
        const timeSeriesQueryResource = timeSeriesQuery.build();
        this.internal.timeSeriesQuery = timeSeriesQueryResource;
        return this;
    }
    // SLO sub-query properties.
    sloQuery(sloQuery) {
        const sloQueryResource = sloQuery.build();
        this.internal.sloQuery = sloQueryResource;
        return this;
    }
    // PromQL sub-query properties.
    promQLQuery(promQLQuery) {
        const promQLQueryResource = promQLQuery.build();
        this.internal.promQLQuery = promQLQueryResource;
        return this;
    }
    // For mixed data sources the selected datasource is on the query level.
    // For non mixed scenarios this is undefined.
    // TODO find a better way to do this ^ that's friendly to schema
    // TODO this shouldn't be unknown but DataSourceRef | null
    datasource(datasource) {
        this.internal.datasource = datasource;
        return this;
    }
    // Time interval in milliseconds.
    intervalMs(intervalMs) {
        this.internal.intervalMs = intervalMs;
        return this;
    }
}
exports.CloudMonitoringQueryBuilder = CloudMonitoringQueryBuilder;
//# sourceMappingURL=cloudMonitoringQueryBuilder.gen.js.map