import * as cog from '../cog';
import * as dashboard from '../dashboard';
import * as heatmap from '../heatmap';
import * as common from '../common';
export declare class PanelBuilder implements cog.Builder<dashboard.Panel> {
    protected readonly internal: dashboard.Panel;
    constructor();
    /**
     * Builds the object.
     */
    build(): dashboard.Panel;
    id(id: number): this;
    targets(targets: cog.Builder<cog.Dataquery>[]): this;
    withTarget(target: cog.Builder<cog.Dataquery>): this;
    title(title: string): this;
    description(description: string): this;
    transparent(transparent: boolean): this;
    datasource(datasource: dashboard.DataSourceRef): this;
    gridPos(gridPos: dashboard.GridPos): this;
    height(h: number): this;
    span(w: number): this;
    links(links: cog.Builder<dashboard.DashboardLink>[]): this;
    repeat(repeat: string): this;
    repeatDirection(repeatDirection: "h" | "v"): this;
    maxPerRow(maxPerRow: number): this;
    maxDataPoints(maxDataPoints: number): this;
    transformations(transformations: dashboard.DataTransformerConfig[]): this;
    withTransformation(transformation: dashboard.DataTransformerConfig): this;
    interval(interval: string): this;
    timeFrom(timeFrom: string): this;
    timeShift(timeShift: string): this;
    hideTimeOverride(hideTimeOverride: boolean): this;
    libraryPanel(libraryPanel: dashboard.LibraryPanelRef): this;
    cacheTimeout(cacheTimeout: string): this;
    queryCachingTTL(queryCachingTTL: number): this;
    displayName(displayName: string): this;
    unit(unit: string): this;
    decimals(decimals: number): this;
    min(min: number): this;
    max(max: number): this;
    mappings(mappings: dashboard.ValueMapping[]): this;
    thresholds(thresholds: cog.Builder<dashboard.ThresholdsConfig>): this;
    colorScheme(color: cog.Builder<dashboard.FieldColor>): this;
    noValue(noValue: string): this;
    overrides(overrides: {
        matcher: dashboard.MatcherConfig;
        properties: dashboard.DynamicConfigValue[];
    }[]): this;
    withOverride(override: {
        matcher: dashboard.MatcherConfig;
        properties: dashboard.DynamicConfigValue[];
    }): this;
    calculate(calculate: boolean): this;
    calculation(calculation: cog.Builder<common.HeatmapCalculationOptions>): this;
    color(color: cog.Builder<heatmap.HeatmapColorOptions>): this;
    filterValues(filterValues: cog.Builder<heatmap.FilterValueRange>): this;
    rowsFrame(rowsFrame: cog.Builder<heatmap.RowsHeatmapOptions>): this;
    showValue(showValue: common.VisibilityMode): this;
    cellGap(cellGap: number): this;
    cellRadius(cellRadius: number): this;
    cellValues(cellValues: cog.Builder<heatmap.CellValues>): this;
    yAxis(yAxis: cog.Builder<heatmap.YAxisConfig>): this;
    showLegend(): this;
    hideLegend(): this;
    mode(mode: common.TooltipDisplayMode): this;
    maxHeight(maxHeight: number): this;
    maxWidth(maxWidth: number): this;
    showYHistogram(): this;
    hideYHistogram(): this;
    showColorScale(showColorScale: boolean): this;
    exemplarsColor(color: string): this;
    scaleDistribution(scaleDistribution: cog.Builder<common.ScaleDistributionConfig>): this;
    hideFrom(hideFrom: cog.Builder<common.HideSeriesConfig>): this;
}
