import * as common from '../common';
export declare enum PieChartType {
    Pie = "pie",
    Donut = "donut"
}
export declare const defaultPieChartType: () => PieChartType;
export declare enum PieChartLabels {
    Name = "name",
    Value = "value",
    Percent = "percent"
}
export declare const defaultPieChartLabels: () => PieChartLabels;
export declare enum PieChartLegendValues {
    Value = "value",
    Percent = "percent"
}
export declare const defaultPieChartLegendValues: () => PieChartLegendValues;
export interface PieChartLegendOptions {
    values: PieChartLegendValues[];
    displayMode: common.LegendDisplayMode;
    placement: common.LegendPlacement;
    showLegend: boolean;
    asTable?: boolean;
    isVisible?: boolean;
    sortBy?: string;
    sortDesc?: boolean;
    width?: number;
    calcs: string[];
}
export declare const defaultPieChartLegendOptions: () => PieChartLegendOptions;
export interface Options {
    pieType: PieChartType;
    displayLabels?: PieChartLabels[];
    tooltip: common.VizTooltipOptions;
    reduceOptions: common.ReduceDataOptions;
    text?: common.VizTextDisplayOptions;
    legend: PieChartLegendOptions;
    orientation: common.VizOrientation;
}
export declare const defaultOptions: () => Options;
export type FieldConfig = common.HideableFieldConfig;
export declare const defaultFieldConfig: () => FieldConfig;
